package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF071 extends MwfRequest<MWF071, MWF071Response> {

    @Parameter(name = "ADMAdresa")
    MWF071 aDMAdresa(String aDMAdresa);
    @Parameter(name = "ADMIPAddress")
    MWF071 aDMIPAddress(String aDMIPAddress);
    @Parameter(name = "ADMOMKod")
    MWF071 aDMOMKod(String aDMOMKod);
    @Parameter(name = "ADMOMNazev")
    MWF071 aDMOMNazev(String aDMOMNazev);
    @Parameter(name = "ADMPopis")
    MWF071 aDMPopis(String aDMPopis);
    @Parameter(name = "ADMPozice")
    MWF071 aDMPozice(Long aDMPozice);
    @Parameter(name = "ADMSessionID")
    MWF071 aDMSessionID(String aDMSessionID);
    @Parameter(name = "ADMSuperUziID")
    MWF071 aDMSuperUziID(Long aDMSuperUziID);
    @Parameter(name = "ADMUzivatelID")
    MWF071 aDMUzivatelID(Long aDMUzivatelID);
}
